package com.steerinfo.dil.feign;

import com.steerinfo.framework.controller.RESTfulResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

import java.math.BigDecimal;

/**
 * @ author    :TXF
 * @ time      :2021/10/8 22:02
 */

@FeignClient(value = "dil-bmstruck-api-dev", url = "${openfeign.BmsTruckFeign.url}")
public interface BmsTruckFeign {

    @PostMapping("api/v1/bmstruck/bmstruckdetailsorder/addDetailsOrder/{orderId}")
    public RESTfulResult addDetailsOrder(@PathVariable("orderId") BigDecimal orderId);
}
