package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.TmstruckSelfMachineService;
import com.steerinfo.dil.util.BaseRESTfulController;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * @author luobang
 * @create 2021-11-17 20:32
 */
@RestController
@RequestMapping("/${api.version}/selfMachine")
public class TmstruckSelfMachineController extends BaseRESTfulController {

    @Autowired
    TmstruckSelfMachineService tmstruckSelfMachineService;

    /**
     * 提货单
     * @param orderNumber
     * @return
     */
    @PostMapping("/getBillOrder")
    public Map<String, Object> getBILLOrder(@RequestParam String orderNumber){
       Map<String,Object>map= tmstruckSelfMachineService.getBillOrder(orderNumber);
       return map;
    }

    @PostMapping("/getDeliveryOrder")
    public Map<String,Object>getDeliveryOrder(String orderNumber){
        Map<String,Object>map=tmstruckSelfMachineService.getDeliveryOrder(orderNumber);
        return map;
    }
//    public static void main(String[] args) {
//            TmstruckSelfMachineController tmstruckSelfMachineController = new TmstruckSelfMachineController();
//        Map<String, Object> wysdd2021091000000002 = tmstruckSelfMachineController.getBILLOrder("WYSDD2021091000000002");
//        System.out.println(wysdd2021091000000002);
//    }
}
