package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * TmstruckUnloadResult服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-09-09 07:58
 * 类描述
 * 修订历史：
 * 日期：2021-09-09
 * 作者：generator
 * 参考：
 * 描述：TmstruckUnloadResult服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface ITmstruckUnloadResultService{
    //查询卸货实绩
    List<Map<String, Object>> getUnloadResult(Map<String, Object> map);

    //同意卸货后进行新增卸货实绩
    int addUnloadResult(Map<String, Object> map);

    // 修改实绩内容
    int updateUnloadResult(Map<String, Object> map);

    //新增卸货实绩
    int addUnloadresultForconverted(Map<String,Object> map);

    //修改卸货实绩
    int updateUnloadresultForconverted(Map<String,Object> map);

    //根据运输订单号查找装车实绩
    Map<String,Object> selectLoadResultIdByOrderNumber(String orderNumber);

    //零星物资判断多拼物资是否计量
    int materialIdIsNorWeight(Map<String,Object> map);
}