package com.steerinfo.route.vo.Map;

import java.util.List;

public class StartAndEndRoute {
    //开始点名称
    private String startPointName;
    //开始点
    private Point startPoint;
    //结束点名称
    private String endPointName;
    //结束点
    private Point endPoint;
    //当前点名称
    private String currentPointName;
    //当前点
    private Point currentPoint;
    //行驶里程数
    private String miled;

    //已经行驶点的集合，绘制已行驶路径使用的
    private List<Point> runRoute;
    //预计行驶点的集合，绘制预计行驶径使用的
    private List<Point> estimateRoute;

    public String getStartPointName() {
        return startPointName;
    }

    public void setStartPointName(String startPointName) {
        this.startPointName = startPointName;
    }

    public Point getStartPoint() {
        return startPoint;
    }

    public void setStartPoint(Point startPoint) {
        this.startPoint = startPoint;
    }

    public String getEndPointName() {
        return endPointName;
    }

    public void setEndPointName(String endPointName) {
        this.endPointName = endPointName;
    }

    public Point getEndPoint() {
        return endPoint;
    }

    public void setEndPoint(Point endPoint) {
        this.endPoint = endPoint;
    }

    public String getCurrentPointName() {
        return currentPointName;
    }

    public void setCurrentPointName(String currentPointName) {
        this.currentPointName = currentPointName;
    }

    public Point getCurrentPoint() {
        return currentPoint;
    }

    public void setCurrentPoint(Point currentPoint) {
        this.currentPoint = currentPoint;
    }

    public String getMiled() {
        return miled;
    }

    public void setMiled(String miled) {
        this.miled = miled;
    }

    public List<Point> getEstimateRoute() {
        return estimateRoute;
    }

    public void setEstimateRoute(List<Point> estimateRoute) {
        this.estimateRoute = estimateRoute;
    }

    public List<Point> getRunRoute() {
        return runRoute;
    }

    public void setRunRoute(List<Point> runRoute) {
        this.runRoute = runRoute;
    }

    @Override
    public String toString() {
        return "StartAndEndRoute{" +
                "startPointName='" + startPointName + '\'' +
                ", startPoint=" + startPoint +
                ", endPointName='" + endPointName + '\'' +
                ", endPoint=" + endPoint +
                ", currentPointName='" + currentPointName + '\'' +
                ", currentPoint=" + currentPoint +
                ", miled='" + miled + '\'' +
                ", runRoute=" + runRoute +
                ", estimateRoute=" + estimateRoute +
                '}';
    }
}